> ## Documentation Index
> Fetch the complete documentation index at: https://mulerouter.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling V3 Omni Reference Video to Video Task

> Retrieve the status and result of a reference video-to-video generation task.

Retrieve the status and result of a Kling V3 Omni video-to-video generation task using the `task_info.id` returned from the POST request.


## OpenAPI

````yaml api-reference/endpoint/klingai/kling-v3-omni/kling-v3-omni-reference-video-to-video.yaml GET /vendors/klingai/v1/kling-v3-omni/reference-video-to-video/generation/{task_id}
openapi: 3.1.0
info:
  title: Kling V3 Omni - Reference Video to Video API
  version: 1.0.0
  description: Generate new videos from a reference video using Kling V3 Omni model.
servers:
  - url: https://api.mulerouter.ai/
security:
  - bearerAuth: []
paths:
  /vendors/klingai/v1/kling-v3-omni/reference-video-to-video/generation/{task_id}:
    get:
      summary: Get Reference Video to Video Task
      description: >-
        Retrieve the status and result of a reference video-to-video generation
        task.
      operationId: kling_v3_omni_video_to_video_generation_get
      parameters:
        - $ref: '#/components/parameters/TaskId'
      responses:
        '200':
          $ref: '#/components/responses/TaskResult'
        '400':
          $ref: '#/components/responses/BadRequest'
      security:
        - bearerAuth: []
components:
  parameters:
    TaskId:
      name: task_id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  responses:
    TaskResult:
      description: Task result
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/VideoTaskResponse'
          example:
            videos:
              - >-
                https://mulerouter.muleusercontent.com/public/079c5ad5-3b81-4eee-af06-4d85029899d0/result_000.mp4
            task_info:
              id: 8e1e315e-b50d-4334-a231-be7d19a372f4
              status: completed
              created_at: '2026-03-03T00:00:00Z'
              updated_at: '2026-03-03T00:00:00Z'
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    VideoTaskResponse:
      type: object
      additionalProperties: true
      properties:
        task_info:
          $ref: '#/components/schemas/TaskInfoResponse'
        videos:
          type: array
          items:
            type: string
            format: uri
    ErrorResponse:
      type: object
      additionalProperties: true
      properties:
        task_info:
          type: object
          properties:
            id:
              type: string
              format: uuid
            status:
              type: string
              enum:
                - failed
            error:
              $ref: '#/components/schemas/TaskInfoErrorObject'
    TaskInfoResponse:
      type: object
      additionalProperties: true
      required:
        - id
        - status
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - completed
            - pending
            - processing
            - failed
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        error:
          $ref: '#/components/schemas/TaskInfoErrorObject'
    TaskInfoErrorObject:
      type: object
      additionalProperties: true
      properties:
        code:
          type: integer
          example: 3001
        title:
          type: string
          example: Task Execution Error
        detail:
          type: string
          example: Task execution failed
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````